#ifndef CONNECTION_H
#define CONNECTION_H
/**
 * @file connection.h
 * @author Timm Fitschen
 * @date 2021-05-18
 * @brief Configuration and setup of the connection.
 */
#include <string>

namespace caosdb {

/**
 * @brief Configure the connection.
 * @param host Host name or ip address of the CaosDB server.
 * @param port Port of the CaosDB server.
 * @return 0 if everything is ok.
 */
auto configure_connection(const std::string &host, int port) -> int;
} // namespace caosdb
#endif
